Bug 557818 - RFE: Add support for load balancing requests to multiple RHQ server UIs with apache
RFE: Add support for load balancing requests to multiple RHQ server UIs with ...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: FutureFeature, SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2010-01-22 11:51 EST by Charles Crouch
Modified: 2015-02-01 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-23 17:00:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2010-01-22 11:51:42 EST
If you have multiple JON servers in a HA setup it should be possible to use an Apache instance and ajp to have RHQ GUI users just talk to the single apache instance which then takes care of sending the requests to whichever JON server is up. That way if one JON server goes down, people don't need to learn another URL for the UI.
Comment 1 wes hayutin 2010-02-16 11:52:04 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 11:58:04 EST
making sure we're not missing any bugs in rhq_triage

Note You need to log in before you can comment on or make changes to this bug.